Bug 13479 - X fails to start
Summary: X fails to start
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-04 20:45 UTC by Stephen Rasku
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-04 20:45:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Rasku 2000-07-04 20:45:13 UTC
When I try to start X with "startx", I get the following error log:

----- Begin Log -----
Fatal server error:
Cannot open log file "/var/log/XFree86.0.log"


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".

giving up.
xinit:  Connection refused (errno 111):  unable to connect to X server
xinit:  No such process (errno 3):  Server error.
----- End Log -----

There's at least one obvious problem to me.  It's trying to write an error
log into /var/log and I, as an ordinary user, am not allowed to do that.  I
am not sure if that's the only problem, though.

Comment 1 Bill Nottingham 2000-07-06 21:55:31 UTC
This should be fixed with the new Xwrapper support in XFree86-4.0.1-0.30.


Note You need to log in before you can comment on or make changes to this bug.